package org.glassfish.scripting.jruby;

import java.text.MessageFormat;
import java.util.ResourceBundle;

/**
 * @author Vivek Pandey
 */
public class Messages {
    /** Loads a string resource and formats it with specified arguments. */
    static String format( String property, Object... args ) {
        String text = ResourceBundle.getBundle(Messages.class.getPackage().getName() +".MessageBundle").getString(property);
        return MessageFormat.format(text,args);
    }

    static final String ERR_CREATING_RAILSADAPTOR =
            "railsapplication.adaptor.creation.error";
    static final String ERR_STOPPING_RAILSAPP =
            "railsapplication.error.stopping";
    static final String ERR_JRUBYLIB_NOTFOUND =
            "railsapplication.jrubylib.notfound";
    static final String ERR_JRUBYHOME_NULL =
            "railsapplication.jrubyhome.null";
    static final String ERR_INVALID_RUNTIMES =
            "railsapplication.runtimes.invalid";
    static final String INFO_LOADING_APP =
            "railsdeployer.loading.info";
    static final String INFO_UNLOADING_APP =
            "railsdeployer.unloading.info";
    static final String ERR_REGISTRY_RAILSAPP = 
            "railsdeployer.adapter.registry.err";
    static final String ERR_UNLOAD_APP =
            "railsdeployer.unload.err";
}
